<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_gender_include.php
| Version: 1.00
| Author: Fangree Productions
| Developers: Fangree_Craig 
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if ($profile_method == "input") {

		$user_gender = isset($user_data['user_gender']) ? $user_data['user_gender'] : "";
		if ($this->isError()) { $user_gender = isset($_POST['user_gender']) ? stripinput($_POST['user_gender']) : $user_gender; }
   
   echo "<tr>\n";
   echo "<td class='tbl".$this->getErrorClass("user_gender")."'><label for='user_gender'>".$locale['uf_gender'].$required."</label></td>\n";
   echo "<td class='tbl".$this->getErrorClass("user_gender")."'>";
   echo "<select name='user_gender' class='textbox'>\n";
   echo "<option value=''".(empty($user_gender) ? " selected='selected'" : "").">".$locale['uf_gender_000']."</option>\n";
   echo "<option value='1'".($user_gender == '1' ? ' selected=selected' : '').">".$locale['uf_gender_001']."</option>";
   echo "<option value='2'".($user_gender == '2' ? ' selected=selected' : '').">".$locale['uf_gender_002']."</option>";
   echo "</select></td>\n";
   echo "</tr>\n";
	
	if ($required) { $this->setRequiredJavaScript("user_gender", $locale['uf_gender_error']); }
	
} elseif ($profile_method == "display") {
  
  
  if ($user_data['user_gender']) {

$user_gen = array(1 => $locale['uf_gender_001'], 2 => $locale['uf_gender_002']);
$gender_img = array(1  => BASEDIR."includes/user_fields/images/gender/male.png", 2  => BASEDIR."includes/user_fields/images/gender/female.png");	

		
		echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['uf_gender']."</td>\n";
		echo "<td align='right' class='tbl1'><img style='vertical-align:middle;border:none' src='".$gender_img[$user_data['user_gender']]."' alt='".$user_gen[$user_data['user_gender']]."' title='".$user_gen[$user_data['user_gender']]."' /></td>\n";
		echo "</tr>\n"; }
	
 
 // Insert and update
} elseif ($profile_method == "validate_insert"  || $profile_method == "validate_update") {
	// Get input data
if (isset($_POST['user_gender']) && stripinput($_POST['user_gender'] || $this->_isNotRequired("user_gender"))) {
		// Set update or insert user data
		$this->_setDBValue("user_gender", stripinput($_POST['user_gender']));
	} else {
		$this->_setError("user_gender", $locale['uf_gender_error'], true);	
	}
}
?>
